SoDebug Class Reference

`#include <SoDebug.h>`

## Static Public Member Functions

static const char * | GetEnv (const char *var)
static void | RTPrintf (const char *formatstr,...)
static void | NamePtr (const char *name, void *ptr)
static const char * | PtrName (void *ptr)
static void | write (SoNode *node)
static void | writeToFile (SoNode *node, const char *filename)
static void | writeField (SoField *field)
static void | printName (SoBase *base)

## Detailed Description

The SoDebug class is a small collection of debugging related functions.

## Member Function Documentation

## GetEnv()

const char * SoDebug::GetEnv | ( | const char * | var | ) |

static

This is a portable getenv-wrapper.

See also
  coin_getenv()

## RTPrintf()

void SoDebug::RTPrintf | ( | const char * | formatstr,
|  |  | ... )

static

Real-time printf designed for use when use of standard printf() would cause timing problems.

NOT IMPLEMENTED. Currently it just forwards to printf().

## NamePtr()

void SoDebug::NamePtr | ( | const char * | name,
|  | void * | ptr )

static

Associate a name with an arbitrary pointer. You can fetch the name of the pointer later with PtrName().

See also
  PtrName()

## PtrName()

const char * SoDebug::PtrName | ( | void * | ptr | ) |

static

Returns the name set on a pointer with NamePtr(). If no name has been set, "<unnamed>" is returned.

See also
  NamePtr()

## write()

void SoDebug::write | ( | SoNode * | node | ) |

static

Writes the node to stdout.

## writeToFile()

void SoDebug::writeToFile | ( | SoNode * | node,
|  | const char * | filename )

static

Writes the node to the given filename, or /tmp/debug.iv if filename is NULL.

## writeField()

void SoDebug::writeField | ( | SoField * | field | ) |

static

Not implemented.

## printName()

void SoDebug::printName | ( | SoBase * | base | ) |

static

Not implemented.

The documentation for this class was generated from the following files:

- SoDebug.h
- SoDebug.cpp